<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "dept";
$formname = "Department -List";
$file = "department_print.php";
//$mgrpcode = "001";

$admin = $_SESSION["admin_" . $dbname];
$myyear = $_SESSION[$myyear];

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdb"];

if (isset($_POST["view"])) {
    $code = $_POST['code'];
    $name = $_POST['name'];

    $namecond = "";
    $codecond = "";
    if (!empty($code)) {
        $codecond = " AND `code`='$code' ";
    }

    if (!empty($name)) {
        $namecond = "  AND `name`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code!='' $namecond $codecond") or die(mysqli_error($conn));

    include("includes/linkshead.php");
?>

    <body>
        <div class="container">
            <? include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>Contact No.</th>
                            <th>Person Incharge</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 1;
                            while ($pmain = mysqli_fetch_array($getpmain)) {

                                echo "<tr style='background-color:white'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$pmain[code]</td>";
                                echo "<td>$pmain[name]</td>";
                                echo "<td>$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]</td>";
                                echo "<td>$pmain[contno]</td>";
                                echo "<td>$pmain[incharge]</td>";
                                echo "</tr>";

                                $ctr++;
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        </div>


        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?
}
if (isset($_POST["excel"])) {
    $code = $_POST['code'];
    $name = $_POST['name'];

    $namecond = "";
    $codecond = "";
    if (!empty($code)) {
        $codecond = " AND `code`='$code' ";
    }

    if (!empty($name)) {
        $namecond = "  AND `name`='$name' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` where code!='' $namecond $codecond") or die(mysqli_error($conn));

    $contents .= "Sr, Code, Name, Address, Contact No, Person Incharge \n";
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= "$ctr" . ",";
        $contents .= "$pmain[code]" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]" . ",";
        $contents .= "$pmain[contno]" . ",";
        $contents .= "$pmain[incharge]" . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}

if (isset($_POST["subpdf"])) {

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf
    {

        function Footer()
        {

            //Position at 1.5 cm from bottom

            $this->SetY(-15);

            //Arial italic 8

            $this->SetFont('Arial', 'I', 8);

            //Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();
    //    include(include/head_rep_pdf2.php"");
    $pdf->SetFont('Arial', '', 18);
    $pdf->Cell(100, 7, "$comp[compname]", 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 9);
    //    $pdf->Cell(100, 7, "OCEAN HOUSE, RAJENDRA GURU NAGAR, NEAR NEW NERAL POLICE STATION NERAL DIST-RAIGAD", 0, 'L');
    $address = str_replace('       ', ' ', $comp[add1] . $comp[add2] . $comp[add3]);
    $pdf->Cell(100, 7, $address, 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->SetTextColor(000, 000, 000);
    $pdf->SetFillColor(249, 244, 245);

    $pdf->Cell(200, 7, "Print - " . $formname, 0, 'L');
    $pdf->Cell(0, 7, "Report Date - " . Date("d-m-y"), 0, 'L');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(3, 125, 149);
    $pdf->Cell(14, 7, "Sr.", 1, 0, '', 1);
    $pdf->Cell(50, 7, "Name", 1, 0, '', 1);
    $pdf->Cell(100, 7, "Address", 1, 0, '', 1);
    $pdf->Cell(32, 7, "City", 1, 0, '', 1);
    $pdf->Cell(42, 7, "Email", 1, 0, '', 1);
    $pdf->Cell(20, 7, "Pin", 1, 0, '', 1);
    $pdf->Cell(25, 7, "Tel", 1, 0, '', 1);
    $pdf->SetFont('Arial', '', 1, 0);

    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 7);
        $pdf->Cell(14, 7, "$ctr", 1);
        $pdf->Cell(50, 7, "$pmain[name]", 1);
        $pdf->Cell(100, 7, "$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]", 1);

        $pdf->Cell(32, 7, "$pmain[city]", 1);
        $pdf->Cell(42, 7, "$pmain[email]", 1);
        $pdf->Cell(20, 7, "$pmain[pin]", 1);
        $pdf->Cell(25, 7, "$pmain[tel]", 1);
        $pdf->Ln();
        $ctr++;
    }
    $pdf->Output("Supplier.pdf", "D");
}
?>